Unusual Whales UnusualWhales API

Alerts

GET https://api.unusualwhales.com/api/alerts

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

limit Default 50, Max 500 Min 1 optional

How many items to return. Default: 50. Max: 500. Min: 1.

Example: 10 Default: 50
>= 1 <= 500
intraday_only optional

Boolean flag whether to return only intraday alerts.

Example: true Default: true
config_ids[] Configration IDs optional

A list of alert ids to filter by.

Example: ded2bee3-68fe-4aff-8316-f6ddbcf7ea67c170e1cb-38c8-4cc9-91a0-e9b249ef7e00
ticker_symbols Ticker optional

A comma separated list of tickers. To exclude certain tickers prefix the first ticker with a `-`.

Example: AAPL,INTC
noti_types[] Noti Types optional

A list of notification types.

Example: analyst_ratingoption_contract_interval
enum: stock, news, earnings, dividends, splits, option_contract, price_target, analyst_rating, option_contract_interval, insider_trades, trading_state, fda, economic_release, politician_trades, market_tide, sec_filings, flow_alerts, chain_oi_change, gex
newer_than string optional

Filter alerts created after this timestamp. When used alone, the time range is limited to 14 days forward from this timestamp. The format can either be a timestamp in unix seconds or milliseconds or a string in ISO format.

Example: 2024-01-01T00:00:00Z
older_than string optional

Filter alerts created before this timestamp. When used alone, the time range is limited to 14 days backward from this timestamp. The format can either be a timestamp in unix seconds or milliseconds or a string in ISO format

Example: 2024-01-15T23:59:59Z

Responses

200 422 500

Response Body 200 OK

created_at The creation timestamp
Example: 2024-11-19T18:19:14Z
id The alert id
Example: ebe24953-a0bf-4b4d-98be-14f721a1199a
meta The raw data of the alert

The data of the alert. There is no fixed schema as the data depends on the alert type.

name The name of the alert
Example: Chain OI Chg: TGT241122C00177500
noti_type The type of the alert
Example: chain_oi_change
symbol The stock ticker or option contract of the alert

Depending on the type of the alert this is either a stock ticker or an option contract.

Example: TGT
tape_time Alert Tape Time

The alerts tape time.

Example: 2023-09-07T20:06:00Z
user_noti_config_id The alert id
Example: ebe24953-a0bf-4b4d-98be-14f721a1199a
Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/alerts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "created_at": "2024-12-11T14:00:00Z",
      "id": "fdc2cf91-d387-480f-a79e-28026447a6f5",
      "meta": {
        "alert_type": "PayDate",
        "date": "2024-11-21",
        "div_yield": "0.0503",
        "dividend": "0.1275",
        "frequency": "Quarterly",
        "payment_date": "2024-12-11",
        "prev_dividend": "0.125"
      },
      "name": "S&P 500 Dividends",
      "noti_type": "dividends",
      "symbol": "AMCR",
      "symbol_type": "stock",
      "tape_time": "2024-12-11T14:00:00Z",
      "user_noti_config_id": "cb70c287-f10a-4e63-98ad-571b7dafc8e4"
    },
    {
      "created_at": "2024-12-11T14:00:01Z",
      "id": "46a5cf8d-6b41-4a92-926d-80e21b729222",
      "meta": {
        "avg_vol_30": "431912.809523809524",
        "curr": "14.55",
        "curr_vol": 364977,
        "prev": "22.88",
        "reason": "",
        "sector": "Healthcare",
        "state": "trading"
      },
      "name": "Trading halts",
      "noti_type": "trading_state",
      "symbol": "ANAB",
      "symbol_type": "stock",
      "tape_time": "2024-12-11T14:00:00Z",
      "user_noti_config_id": "5e476026-d01e-423b-9635-7ead39301665"
    }
  ]
}